package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface CabinHomeRemote extends javax.ejb.EJBHome {

    public CabinRemote create(Integer id)
        throws CreateException, RemoteException;

    public CabinRemote findByPrimaryKey(Integer pk)
        throws FinderException, RemoteException;

    public Collection findAllOnDeckLevel(Integer level)
        throws FinderException, RemoteException;

    public Collection findAllOnDeckLevel1_3_5()
        throws FinderException, RemoteException;

    public Collection findAllOnDeckLevel1_3_X(int levelX)
        throws FinderException, RemoteException;

    // Home method, requires ejbHomeXXX method in bean class
    public int selectDeckLevel(Integer id)
        throws FinderException, RemoteException;

}
